%define	oname	Pmw
%define	name	python-pmw
%define	version	2.0.0
%define	release	%mkrel 0.3
%define	subrel 1

Summary:	Python toolkit for building compound Tkinter widgets
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MIT
Group:		Development/Python
Url:		http://www.dscpl.com.au/pmw
Source0:	https://pypi.python.org/packages/source/P/%{oname}/%{oname}-2.0.0.tar.gz
Requires:	blt tkinter python
Obsoletes:	%{oname}
Provides:	%{oname} = %{version}-%{release}
Buildarch:	noarch
BuildRequires:	python-devel

%description
Pmw is a toolkit for building high-level compound widgets in Python 
using the Tkinter module. It consists of a set of base classes and a 
library of flexible and extensible megawidgets built on this foundation. 
These megawidgets include notebooks, comboboxes, selection widgets, paned 
widgets, scrolled widgets and dialog windows. 

%package -n python3-pmw
Summary:    Python 3 toolkit for building compound Tkinter widgets
Group:      Development/Python
BuildRequires:  python3-devel
Requires:	blt tkinter3 python3

%description -n python3-pmw
Pmw is a toolkit for building high-level compound widgets in Python 3
using the Tkinter module. It consists of a set of base classes and a 
library of flexible and extensible megawidgets built on this foundation. 
These megawidgets include notebooks, comboboxes, selection widgets, paned 
widgets, scrolled widgets and dialog windows.

%prep
%setup -q -n %{oname}-%{version} 
cp -a . %{py3dir} 

%build
pushd %{py3dir}
%{__python3} setup.py build
popd

%{__python} setup.py build

%install
pushd %{py3dir} 
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%{__python} setup.py install --skip-build --root %{buildroot}

%files
%{python_sitelib}/%{oname}
%{python_sitelib}/*.egg-info

%files -n python3-pmw
%{python3_sitelib}/%{oname}
%{python3_sitelib}/*.egg-info



%changelog
* Sat Apr 05 2014 philippem <philippem> 2.0.0-0.3.1.mga4
+ Revision: 611898
- build with pypi package, fix mga#13143

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-0.3.mga4
+ Revision: 544069
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.0-0.2.mga4
+ Revision: 499122
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 04 2013 joequant <joequant> 2.0.0-0.1.mga4
+ Revision: 491311
- update source
- upgrade to 2.0.0rc1

* Sun Jan 13 2013 umeabot <umeabot> 1.3.2-7.mga3
+ Revision: 379280
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 19 2011 ennael <ennael> 1.3.2-6.mga1
+ Revision: 74517
- clean spec file
- imported package python-pmw

